> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Signed Url

> Create a signed url for an object in a bucket. You can use this url to download the object



## OpenAPI

````yaml post /storage/sign/{bucketName}/*
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /storage/sign/{bucketName}/*:
    post:
      tags:
        - Storage
      summary: Create Signed Url
      description: >-
        Create a signed url for an object in a bucket. You can use this url to
        download the object
      operationId: postSignByBucketName
      parameters:
        - name: bucketName
          in: path
          required: true
          schema:
            type: string
        - name: objectName
          in: path
          required: true
          description: The name of the object in the bucket including slashes
          schema:
            type: string
      responses:
        '200':
          content:
            application/text:
              schema:
                type: string
                description: >-
                  A signed url for the object in the bucket. It is valid for
                  five minutes.
          description: The signed url has been created successfully
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  hint:
                    type: string
                  statusCode:
                    type: number
                required:
                  - code
                  - message
                  - statusCode
          description: Invalid input provided
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````